#ifndef REGULAR_POLYGON_HPP
#define REGULAR_POLYGON_HPP

#include "Polygon.hpp"

class RegularPolygon
{
public:
    RegularPolygon(size_t number_of_edges, double radius);

    size_t numberOfPoints() const;
    Point& operator[](size_t index);
    Point operator[](size_t index) const;

private:
    Polygon polygon_;
};

#endif // REGULAR_POLYGON_HPP